// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.18.1
// source: vseth/vis/visit/visit.proto

package visit

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// Type of contact in VISIT
type Contact_Type int32

const (
	Contact_COMPANY Contact_Type = 0
	Contact_BRAND   Contact_Type = 1
	Contact_PERSON  Contact_Type = 2
)

// Enum value maps for Contact_Type.
var (
	Contact_Type_name = map[int32]string{
		0: "COMPANY",
		1: "BRAND",
		2: "PERSON",
	}
	Contact_Type_value = map[string]int32{
		"COMPANY": 0,
		"BRAND":   1,
		"PERSON":  2,
	}
)

func (x Contact_Type) Enum() *Contact_Type {
	p := new(Contact_Type)
	*p = x
	return p
}

func (x Contact_Type) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (Contact_Type) Descriptor() protoreflect.EnumDescriptor {
	return file_vseth_vis_visit_visit_proto_enumTypes[0].Descriptor()
}

func (Contact_Type) Type() protoreflect.EnumType {
	return &file_vseth_vis_visit_visit_proto_enumTypes[0]
}

func (x Contact_Type) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use Contact_Type.Descriptor instead.
func (Contact_Type) EnumDescriptor() ([]byte, []int) {
	return file_vseth_vis_visit_visit_proto_rawDescGZIP(), []int{2, 0}
}

type ListContactsRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Whether to filter only for confirmed companies & their confirmed brands and those brands' associated people
	OnlyConfirmed bool `protobuf:"varint,1,opt,name=only_confirmed,json=onlyConfirmed,proto3" json:"only_confirmed,omitempty"`
	// What type of contacts to include
	Types []Contact_Type `protobuf:"varint,2,rep,packed,name=types,proto3,enum=vseth.vis.visit.Contact_Type" json:"types,omitempty"`
}

func (x *ListContactsRequest) Reset() {
	*x = ListContactsRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_visit_visit_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListContactsRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListContactsRequest) ProtoMessage() {}

func (x *ListContactsRequest) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_visit_visit_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListContactsRequest.ProtoReflect.Descriptor instead.
func (*ListContactsRequest) Descriptor() ([]byte, []int) {
	return file_vseth_vis_visit_visit_proto_rawDescGZIP(), []int{0}
}

func (x *ListContactsRequest) GetOnlyConfirmed() bool {
	if x != nil {
		return x.OnlyConfirmed
	}
	return false
}

func (x *ListContactsRequest) GetTypes() []Contact_Type {
	if x != nil {
		return x.Types
	}
	return nil
}

type ListContactsResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// List of all contacts, filtered if applicable
	Contacts []*Contact `protobuf:"bytes,1,rep,name=contacts,proto3" json:"contacts,omitempty"`
}

func (x *ListContactsResponse) Reset() {
	*x = ListContactsResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_visit_visit_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListContactsResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListContactsResponse) ProtoMessage() {}

func (x *ListContactsResponse) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_visit_visit_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListContactsResponse.ProtoReflect.Descriptor instead.
func (*ListContactsResponse) Descriptor() ([]byte, []int) {
	return file_vseth_vis_visit_visit_proto_rawDescGZIP(), []int{1}
}

func (x *ListContactsResponse) GetContacts() []*Contact {
	if x != nil {
		return x.Contacts
	}
	return nil
}

type Contact struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Types that are assignable to Data:
	//	*Contact_CompanyData
	//	*Contact_BrandData
	//	*Contact_PersonData
	Data isContact_Data `protobuf_oneof:"data"`
}

func (x *Contact) Reset() {
	*x = Contact{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_visit_visit_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Contact) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Contact) ProtoMessage() {}

func (x *Contact) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_visit_visit_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Contact.ProtoReflect.Descriptor instead.
func (*Contact) Descriptor() ([]byte, []int) {
	return file_vseth_vis_visit_visit_proto_rawDescGZIP(), []int{2}
}

func (m *Contact) GetData() isContact_Data {
	if m != nil {
		return m.Data
	}
	return nil
}

func (x *Contact) GetCompanyData() *Contact_Company {
	if x, ok := x.GetData().(*Contact_CompanyData); ok {
		return x.CompanyData
	}
	return nil
}

func (x *Contact) GetBrandData() *Contact_Brand {
	if x, ok := x.GetData().(*Contact_BrandData); ok {
		return x.BrandData
	}
	return nil
}

func (x *Contact) GetPersonData() *Contact_Person {
	if x, ok := x.GetData().(*Contact_PersonData); ok {
		return x.PersonData
	}
	return nil
}

type isContact_Data interface {
	isContact_Data()
}

type Contact_CompanyData struct {
	// Contact can be a company
	CompanyData *Contact_Company `protobuf:"bytes,1,opt,name=company_data,json=companyData,proto3,oneof"`
}

type Contact_BrandData struct {
	// Contact can be a brand
	BrandData *Contact_Brand `protobuf:"bytes,2,opt,name=brand_data,json=brandData,proto3,oneof"`
}

type Contact_PersonData struct {
	// Contact can be a person
	PersonData *Contact_Person `protobuf:"bytes,3,opt,name=person_data,json=personData,proto3,oneof"`
}

func (*Contact_CompanyData) isContact_Data() {}

func (*Contact_BrandData) isContact_Data() {}

func (*Contact_PersonData) isContact_Data() {}

type CompanyBrandRelation struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Id of the company
	CompanyId string `protobuf:"bytes,1,opt,name=company_id,json=companyId,proto3" json:"company_id,omitempty"`
	// Id of the brand
	BrandId string `protobuf:"bytes,2,opt,name=brand_id,json=brandId,proto3" json:"brand_id,omitempty"`
	// Whether this relation is confirmed
	Confirmed bool `protobuf:"varint,3,opt,name=confirmed,proto3" json:"confirmed,omitempty"`
}

func (x *CompanyBrandRelation) Reset() {
	*x = CompanyBrandRelation{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_visit_visit_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CompanyBrandRelation) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CompanyBrandRelation) ProtoMessage() {}

func (x *CompanyBrandRelation) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_visit_visit_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CompanyBrandRelation.ProtoReflect.Descriptor instead.
func (*CompanyBrandRelation) Descriptor() ([]byte, []int) {
	return file_vseth_vis_visit_visit_proto_rawDescGZIP(), []int{3}
}

func (x *CompanyBrandRelation) GetCompanyId() string {
	if x != nil {
		return x.CompanyId
	}
	return ""
}

func (x *CompanyBrandRelation) GetBrandId() string {
	if x != nil {
		return x.BrandId
	}
	return ""
}

func (x *CompanyBrandRelation) GetConfirmed() bool {
	if x != nil {
		return x.Confirmed
	}
	return false
}

// The PostalAddress contains information about a postal address.
type PostalAddress struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// the street name and number, c/o field and any other address lines not contained in this message
	// may be multiline separated with \n
	AddressLines string `protobuf:"bytes,1,opt,name=address_lines,json=addressLines,proto3" json:"address_lines,omitempty"`
	// the name of the city
	Locality string `protobuf:"bytes,2,opt,name=locality,proto3" json:"locality,omitempty"`
	// the postal code
	PostalCode string `protobuf:"bytes,3,opt,name=postal_code,json=postalCode,proto3" json:"postal_code,omitempty"`
	// the country code in [ISO 3166-2](https://en.wikipedia.org/wiki/ISO_3166-2)
	// a list of all current codes can be found [here](https://www.iso.org/obp/ui/#search)
	Country string `protobuf:"bytes,4,opt,name=country,proto3" json:"country,omitempty"`
	// the entire formatted address (without name of addressee), multiline
	FormattedNoname string `protobuf:"bytes,5,opt,name=formatted_noname,json=formattedNoname,proto3" json:"formatted_noname,omitempty"`
	// The name of the addressee
	AddresseeName string `protobuf:"bytes,6,opt,name=addressee_name,json=addresseeName,proto3" json:"addressee_name,omitempty"`
}

func (x *PostalAddress) Reset() {
	*x = PostalAddress{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_visit_visit_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *PostalAddress) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*PostalAddress) ProtoMessage() {}

func (x *PostalAddress) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_visit_visit_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use PostalAddress.ProtoReflect.Descriptor instead.
func (*PostalAddress) Descriptor() ([]byte, []int) {
	return file_vseth_vis_visit_visit_proto_rawDescGZIP(), []int{4}
}

func (x *PostalAddress) GetAddressLines() string {
	if x != nil {
		return x.AddressLines
	}
	return ""
}

func (x *PostalAddress) GetLocality() string {
	if x != nil {
		return x.Locality
	}
	return ""
}

func (x *PostalAddress) GetPostalCode() string {
	if x != nil {
		return x.PostalCode
	}
	return ""
}

func (x *PostalAddress) GetCountry() string {
	if x != nil {
		return x.Country
	}
	return ""
}

func (x *PostalAddress) GetFormattedNoname() string {
	if x != nil {
		return x.FormattedNoname
	}
	return ""
}

func (x *PostalAddress) GetAddresseeName() string {
	if x != nil {
		return x.AddresseeName
	}
	return ""
}

// =========================================================
// Unused -- Jobboerse
// =========================================================
type Brand struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id   int32  `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	Name string `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
}

func (x *Brand) Reset() {
	*x = Brand{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_visit_visit_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Brand) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Brand) ProtoMessage() {}

func (x *Brand) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_visit_visit_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Brand.ProtoReflect.Descriptor instead.
func (*Brand) Descriptor() ([]byte, []int) {
	return file_vseth_vis_visit_visit_proto_rawDescGZIP(), []int{5}
}

func (x *Brand) GetId() int32 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *Brand) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

type Preferences struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	User       *Subscriber `protobuf:"bytes,1,opt,name=user,proto3" json:"user,omitempty"`
	Categories []int32     `protobuf:"varint,2,rep,packed,name=categories,proto3" json:"categories,omitempty"`
	Tags       []int32     `protobuf:"varint,3,rep,packed,name=tags,proto3" json:"tags,omitempty"`
}

func (x *Preferences) Reset() {
	*x = Preferences{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_visit_visit_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Preferences) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Preferences) ProtoMessage() {}

func (x *Preferences) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_visit_visit_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Preferences.ProtoReflect.Descriptor instead.
func (*Preferences) Descriptor() ([]byte, []int) {
	return file_vseth_vis_visit_visit_proto_rawDescGZIP(), []int{6}
}

func (x *Preferences) GetUser() *Subscriber {
	if x != nil {
		return x.User
	}
	return nil
}

func (x *Preferences) GetCategories() []int32 {
	if x != nil {
		return x.Categories
	}
	return nil
}

func (x *Preferences) GetTags() []int32 {
	if x != nil {
		return x.Tags
	}
	return nil
}

type JobTag struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id   int32  `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	Name string `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
}

func (x *JobTag) Reset() {
	*x = JobTag{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_visit_visit_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *JobTag) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*JobTag) ProtoMessage() {}

func (x *JobTag) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_visit_visit_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use JobTag.ProtoReflect.Descriptor instead.
func (*JobTag) Descriptor() ([]byte, []int) {
	return file_vseth_vis_visit_visit_proto_rawDescGZIP(), []int{7}
}

func (x *JobTag) GetId() int32 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *JobTag) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

type JobCategory struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id   int32  `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	Name string `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
}

func (x *JobCategory) Reset() {
	*x = JobCategory{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_visit_visit_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *JobCategory) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*JobCategory) ProtoMessage() {}

func (x *JobCategory) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_visit_visit_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use JobCategory.ProtoReflect.Descriptor instead.
func (*JobCategory) Descriptor() ([]byte, []int) {
	return file_vseth_vis_visit_visit_proto_rawDescGZIP(), []int{8}
}

func (x *JobCategory) GetId() int32 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *JobCategory) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

type Subscriber struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Email string `protobuf:"bytes,1,opt,name=email,proto3" json:"email,omitempty"`
}

func (x *Subscriber) Reset() {
	*x = Subscriber{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_visit_visit_proto_msgTypes[9]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Subscriber) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Subscriber) ProtoMessage() {}

func (x *Subscriber) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_visit_visit_proto_msgTypes[9]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Subscriber.ProtoReflect.Descriptor instead.
func (*Subscriber) Descriptor() ([]byte, []int) {
	return file_vseth_vis_visit_visit_proto_rawDescGZIP(), []int{9}
}

func (x *Subscriber) GetEmail() string {
	if x != nil {
		return x.Email
	}
	return ""
}

type JobOffer struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id             int32   `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	Description    string  `protobuf:"bytes,2,opt,name=description,proto3" json:"description,omitempty"`
	Category       int32   `protobuf:"varint,3,opt,name=category,proto3" json:"category,omitempty"`
	Tags           []int32 `protobuf:"varint,4,rep,packed,name=tags,proto3" json:"tags,omitempty"`
	Brand          int32   `protobuf:"varint,5,opt,name=brand,proto3" json:"brand,omitempty"` // -1 for email offers
	Commencement   string  `protobuf:"bytes,6,opt,name=commencement,proto3" json:"commencement,omitempty"`
	Details        string  `protobuf:"bytes,7,opt,name=details,proto3" json:"details,omitempty"`
	PlaceOfWork    string  `protobuf:"bytes,8,opt,name=place_of_work,json=placeOfWork,proto3" json:"place_of_work,omitempty"`
	Url            string  `protobuf:"bytes,9,opt,name=url,proto3" json:"url,omitempty"`
	ContactData    string  `protobuf:"bytes,10,opt,name=contact_data,json=contactData,proto3" json:"contact_data,omitempty"`
	ExpirationDate int64   `protobuf:"varint,11,opt,name=expiration_date,json=expirationDate,proto3" json:"expiration_date,omitempty"` // Unix timestamp
}

func (x *JobOffer) Reset() {
	*x = JobOffer{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_visit_visit_proto_msgTypes[10]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *JobOffer) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*JobOffer) ProtoMessage() {}

func (x *JobOffer) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_visit_visit_proto_msgTypes[10]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use JobOffer.ProtoReflect.Descriptor instead.
func (*JobOffer) Descriptor() ([]byte, []int) {
	return file_vseth_vis_visit_visit_proto_rawDescGZIP(), []int{10}
}

func (x *JobOffer) GetId() int32 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *JobOffer) GetDescription() string {
	if x != nil {
		return x.Description
	}
	return ""
}

func (x *JobOffer) GetCategory() int32 {
	if x != nil {
		return x.Category
	}
	return 0
}

func (x *JobOffer) GetTags() []int32 {
	if x != nil {
		return x.Tags
	}
	return nil
}

func (x *JobOffer) GetBrand() int32 {
	if x != nil {
		return x.Brand
	}
	return 0
}

func (x *JobOffer) GetCommencement() string {
	if x != nil {
		return x.Commencement
	}
	return ""
}

func (x *JobOffer) GetDetails() string {
	if x != nil {
		return x.Details
	}
	return ""
}

func (x *JobOffer) GetPlaceOfWork() string {
	if x != nil {
		return x.PlaceOfWork
	}
	return ""
}

func (x *JobOffer) GetUrl() string {
	if x != nil {
		return x.Url
	}
	return ""
}

func (x *JobOffer) GetContactData() string {
	if x != nil {
		return x.ContactData
	}
	return ""
}

func (x *JobOffer) GetExpirationDate() int64 {
	if x != nil {
		return x.ExpirationDate
	}
	return 0
}

type Void struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *Void) Reset() {
	*x = Void{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_visit_visit_proto_msgTypes[11]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Void) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Void) ProtoMessage() {}

func (x *Void) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_visit_visit_proto_msgTypes[11]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Void.ProtoReflect.Descriptor instead.
func (*Void) Descriptor() ([]byte, []int) {
	return file_vseth_vis_visit_visit_proto_rawDescGZIP(), []int{11}
}

type Contact_Company struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Id of the company in VISIT
	Id string `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	// Full name of the company
	Name string `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	// Whether company has been confirmed on VISIT
	Confirmed bool `protobuf:"varint,3,opt,name=confirmed,proto3" json:"confirmed,omitempty"`
	// Brands associated with companies
	Brands []*CompanyBrandRelation `protobuf:"bytes,4,rep,name=brands,proto3" json:"brands,omitempty"`
}

func (x *Contact_Company) Reset() {
	*x = Contact_Company{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_visit_visit_proto_msgTypes[12]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Contact_Company) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Contact_Company) ProtoMessage() {}

func (x *Contact_Company) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_visit_visit_proto_msgTypes[12]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Contact_Company.ProtoReflect.Descriptor instead.
func (*Contact_Company) Descriptor() ([]byte, []int) {
	return file_vseth_vis_visit_visit_proto_rawDescGZIP(), []int{2, 0}
}

func (x *Contact_Company) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *Contact_Company) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *Contact_Company) GetConfirmed() bool {
	if x != nil {
		return x.Confirmed
	}
	return false
}

func (x *Contact_Company) GetBrands() []*CompanyBrandRelation {
	if x != nil {
		return x.Brands
	}
	return nil
}

type Contact_Brand struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Id of the brand in VISIT
	Id string `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	// Full name of the brand
	Name string `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	// Companies that a brand is associated with
	Companies []*CompanyBrandRelation `protobuf:"bytes,3,rep,name=companies,proto3" json:"companies,omitempty"`
	// Billing address of a brand
	BillingAddress *PostalAddress `protobuf:"bytes,4,opt,name=billing_address,json=billingAddress,proto3" json:"billing_address,omitempty"`
	// Whether brand has been confirmed on VISIT
	Confirmed bool `protobuf:"varint,5,opt,name=confirmed,proto3" json:"confirmed,omitempty"`
}

func (x *Contact_Brand) Reset() {
	*x = Contact_Brand{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_visit_visit_proto_msgTypes[13]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Contact_Brand) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Contact_Brand) ProtoMessage() {}

func (x *Contact_Brand) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_visit_visit_proto_msgTypes[13]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Contact_Brand.ProtoReflect.Descriptor instead.
func (*Contact_Brand) Descriptor() ([]byte, []int) {
	return file_vseth_vis_visit_visit_proto_rawDescGZIP(), []int{2, 1}
}

func (x *Contact_Brand) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *Contact_Brand) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *Contact_Brand) GetCompanies() []*CompanyBrandRelation {
	if x != nil {
		return x.Companies
	}
	return nil
}

func (x *Contact_Brand) GetBillingAddress() *PostalAddress {
	if x != nil {
		return x.BillingAddress
	}
	return nil
}

func (x *Contact_Brand) GetConfirmed() bool {
	if x != nil {
		return x.Confirmed
	}
	return false
}

type Contact_Person struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Id of the person in VISIT
	Id string `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	// Preferred salutation of user
	Salutation string `protobuf:"bytes,2,opt,name=salutation,proto3" json:"salutation,omitempty"`
	// First name of person
	FirstName string `protobuf:"bytes,3,opt,name=first_name,json=firstName,proto3" json:"first_name,omitempty"`
	// Last name of person
	LastName string `protobuf:"bytes,4,opt,name=last_name,json=lastName,proto3" json:"last_name,omitempty"`
	// Phone number of person
	PhoneNumber string `protobuf:"bytes,5,opt,name=phone_number,json=phoneNumber,proto3" json:"phone_number,omitempty"`
	// Personal email
	Email string `protobuf:"bytes,6,opt,name=email,proto3" json:"email,omitempty"`
	// Non-personal email addresses for invoices (optional)
	BillingEmail string `protobuf:"bytes,7,opt,name=billing_email,json=billingEmail,proto3" json:"billing_email,omitempty"`
	// Billing address of a person
	BillingAddress *PostalAddress `protobuf:"bytes,8,opt,name=billing_address,json=billingAddress,proto3" json:"billing_address,omitempty"`
	// Any additional information or description
	Remarks string `protobuf:"bytes,9,opt,name=remarks,proto3" json:"remarks,omitempty"`
	// VIS Organization that a person is dealing with - ER, KPK, Visionen, VIS, VIScon
	VisOrganization []string `protobuf:"bytes,10,rep,name=vis_organization,json=visOrganization,proto3" json:"vis_organization,omitempty"`
	// Brand that a person is associated with
	Brand *Contact_Brand `protobuf:"bytes,11,opt,name=brand,proto3" json:"brand,omitempty"`
}

func (x *Contact_Person) Reset() {
	*x = Contact_Person{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_visit_visit_proto_msgTypes[14]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Contact_Person) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Contact_Person) ProtoMessage() {}

func (x *Contact_Person) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_visit_visit_proto_msgTypes[14]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Contact_Person.ProtoReflect.Descriptor instead.
func (*Contact_Person) Descriptor() ([]byte, []int) {
	return file_vseth_vis_visit_visit_proto_rawDescGZIP(), []int{2, 2}
}

func (x *Contact_Person) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *Contact_Person) GetSalutation() string {
	if x != nil {
		return x.Salutation
	}
	return ""
}

func (x *Contact_Person) GetFirstName() string {
	if x != nil {
		return x.FirstName
	}
	return ""
}

func (x *Contact_Person) GetLastName() string {
	if x != nil {
		return x.LastName
	}
	return ""
}

func (x *Contact_Person) GetPhoneNumber() string {
	if x != nil {
		return x.PhoneNumber
	}
	return ""
}

func (x *Contact_Person) GetEmail() string {
	if x != nil {
		return x.Email
	}
	return ""
}

func (x *Contact_Person) GetBillingEmail() string {
	if x != nil {
		return x.BillingEmail
	}
	return ""
}

func (x *Contact_Person) GetBillingAddress() *PostalAddress {
	if x != nil {
		return x.BillingAddress
	}
	return nil
}

func (x *Contact_Person) GetRemarks() string {
	if x != nil {
		return x.Remarks
	}
	return ""
}

func (x *Contact_Person) GetVisOrganization() []string {
	if x != nil {
		return x.VisOrganization
	}
	return nil
}

func (x *Contact_Person) GetBrand() *Contact_Brand {
	if x != nil {
		return x.Brand
	}
	return nil
}

var File_vseth_vis_visit_visit_proto protoreflect.FileDescriptor

var file_vseth_vis_visit_visit_proto_rawDesc = []byte{
	0x0a, 0x1b, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2f, 0x76, 0x69, 0x73, 0x2f, 0x76, 0x69, 0x73, 0x69,
	0x74, 0x2f, 0x76, 0x69, 0x73, 0x69, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x0f, 0x76,
	0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x76, 0x69, 0x73, 0x69, 0x74, 0x22, 0x71,
	0x0a, 0x13, 0x4c, 0x69, 0x73, 0x74, 0x43, 0x6f, 0x6e, 0x74, 0x61, 0x63, 0x74, 0x73, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x25, 0x0a, 0x0e, 0x6f, 0x6e, 0x6c, 0x79, 0x5f, 0x63, 0x6f,
	0x6e, 0x66, 0x69, 0x72, 0x6d, 0x65, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x08, 0x52, 0x0d, 0x6f,
	0x6e, 0x6c, 0x79, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x72, 0x6d, 0x65, 0x64, 0x12, 0x33, 0x0a, 0x05,
	0x74, 0x79, 0x70, 0x65, 0x73, 0x18, 0x02, 0x20, 0x03, 0x28, 0x0e, 0x32, 0x1d, 0x2e, 0x76, 0x73,
	0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x76, 0x69, 0x73, 0x69, 0x74, 0x2e, 0x43, 0x6f,
	0x6e, 0x74, 0x61, 0x63, 0x74, 0x2e, 0x54, 0x79, 0x70, 0x65, 0x52, 0x05, 0x74, 0x79, 0x70, 0x65,
	0x73, 0x22, 0x4c, 0x0a, 0x14, 0x4c, 0x69, 0x73, 0x74, 0x43, 0x6f, 0x6e, 0x74, 0x61, 0x63, 0x74,
	0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x34, 0x0a, 0x08, 0x63, 0x6f, 0x6e,
	0x74, 0x61, 0x63, 0x74, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x18, 0x2e, 0x76, 0x73,
	0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x76, 0x69, 0x73, 0x69, 0x74, 0x2e, 0x43, 0x6f,
	0x6e, 0x74, 0x61, 0x63, 0x74, 0x52, 0x08, 0x63, 0x6f, 0x6e, 0x74, 0x61, 0x63, 0x74, 0x73, 0x22,
	0x89, 0x08, 0x0a, 0x07, 0x43, 0x6f, 0x6e, 0x74, 0x61, 0x63, 0x74, 0x12, 0x45, 0x0a, 0x0c, 0x63,
	0x6f, 0x6d, 0x70, 0x61, 0x6e, 0x79, 0x5f, 0x64, 0x61, 0x74, 0x61, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x20, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x76, 0x69,
	0x73, 0x69, 0x74, 0x2e, 0x43, 0x6f, 0x6e, 0x74, 0x61, 0x63, 0x74, 0x2e, 0x43, 0x6f, 0x6d, 0x70,
	0x61, 0x6e, 0x79, 0x48, 0x00, 0x52, 0x0b, 0x63, 0x6f, 0x6d, 0x70, 0x61, 0x6e, 0x79, 0x44, 0x61,
	0x74, 0x61, 0x12, 0x3f, 0x0a, 0x0a, 0x62, 0x72, 0x61, 0x6e, 0x64, 0x5f, 0x64, 0x61, 0x74, 0x61,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1e, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76,
	0x69, 0x73, 0x2e, 0x76, 0x69, 0x73, 0x69, 0x74, 0x2e, 0x43, 0x6f, 0x6e, 0x74, 0x61, 0x63, 0x74,
	0x2e, 0x42, 0x72, 0x61, 0x6e, 0x64, 0x48, 0x00, 0x52, 0x09, 0x62, 0x72, 0x61, 0x6e, 0x64, 0x44,
	0x61, 0x74, 0x61, 0x12, 0x42, 0x0a, 0x0b, 0x70, 0x65, 0x72, 0x73, 0x6f, 0x6e, 0x5f, 0x64, 0x61,
	0x74, 0x61, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1f, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68,
	0x2e, 0x76, 0x69, 0x73, 0x2e, 0x76, 0x69, 0x73, 0x69, 0x74, 0x2e, 0x43, 0x6f, 0x6e, 0x74, 0x61,
	0x63, 0x74, 0x2e, 0x50, 0x65, 0x72, 0x73, 0x6f, 0x6e, 0x48, 0x00, 0x52, 0x0a, 0x70, 0x65, 0x72,
	0x73, 0x6f, 0x6e, 0x44, 0x61, 0x74, 0x61, 0x1a, 0x8a, 0x01, 0x0a, 0x07, 0x43, 0x6f, 0x6d, 0x70,
	0x61, 0x6e, 0x79, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x02, 0x69, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x1c, 0x0a, 0x09, 0x63, 0x6f, 0x6e, 0x66, 0x69,
	0x72, 0x6d, 0x65, 0x64, 0x18, 0x03, 0x20, 0x01, 0x28, 0x08, 0x52, 0x09, 0x63, 0x6f, 0x6e, 0x66,
	0x69, 0x72, 0x6d, 0x65, 0x64, 0x12, 0x3d, 0x0a, 0x06, 0x62, 0x72, 0x61, 0x6e, 0x64, 0x73, 0x18,
	0x04, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x25, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69,
	0x73, 0x2e, 0x76, 0x69, 0x73, 0x69, 0x74, 0x2e, 0x43, 0x6f, 0x6d, 0x70, 0x61, 0x6e, 0x79, 0x42,
	0x72, 0x61, 0x6e, 0x64, 0x52, 0x65, 0x6c, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x06, 0x62, 0x72,
	0x61, 0x6e, 0x64, 0x73, 0x1a, 0xd7, 0x01, 0x0a, 0x05, 0x42, 0x72, 0x61, 0x6e, 0x64, 0x12, 0x0e,
	0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x12, 0x12,
	0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61,
	0x6d, 0x65, 0x12, 0x43, 0x0a, 0x09, 0x63, 0x6f, 0x6d, 0x70, 0x61, 0x6e, 0x69, 0x65, 0x73, 0x18,
	0x03, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x25, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69,
	0x73, 0x2e, 0x76, 0x69, 0x73, 0x69, 0x74, 0x2e, 0x43, 0x6f, 0x6d, 0x70, 0x61, 0x6e, 0x79, 0x42,
	0x72, 0x61, 0x6e, 0x64, 0x52, 0x65, 0x6c, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x09, 0x63, 0x6f,
	0x6d, 0x70, 0x61, 0x6e, 0x69, 0x65, 0x73, 0x12, 0x47, 0x0a, 0x0f, 0x62, 0x69, 0x6c, 0x6c, 0x69,
	0x6e, 0x67, 0x5f, 0x61, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x1e, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x76, 0x69, 0x73,
	0x69, 0x74, 0x2e, 0x50, 0x6f, 0x73, 0x74, 0x61, 0x6c, 0x41, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73,
	0x52, 0x0e, 0x62, 0x69, 0x6c, 0x6c, 0x69, 0x6e, 0x67, 0x41, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73,
	0x12, 0x1c, 0x0a, 0x09, 0x63, 0x6f, 0x6e, 0x66, 0x69, 0x72, 0x6d, 0x65, 0x64, 0x18, 0x05, 0x20,
	0x01, 0x28, 0x08, 0x52, 0x09, 0x63, 0x6f, 0x6e, 0x66, 0x69, 0x72, 0x6d, 0x65, 0x64, 0x1a, 0x96,
	0x03, 0x0a, 0x06, 0x50, 0x65, 0x72, 0x73, 0x6f, 0x6e, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x12, 0x1e, 0x0a, 0x0a, 0x73, 0x61, 0x6c,
	0x75, 0x74, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x73,
	0x61, 0x6c, 0x75, 0x74, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x1d, 0x0a, 0x0a, 0x66, 0x69, 0x72,
	0x73, 0x74, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x66,
	0x69, 0x72, 0x73, 0x74, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x1b, 0x0a, 0x09, 0x6c, 0x61, 0x73, 0x74,
	0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x6c, 0x61, 0x73,
	0x74, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x21, 0x0a, 0x0c, 0x70, 0x68, 0x6f, 0x6e, 0x65, 0x5f, 0x6e,
	0x75, 0x6d, 0x62, 0x65, 0x72, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x70, 0x68, 0x6f,
	0x6e, 0x65, 0x4e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x12, 0x14, 0x0a, 0x05, 0x65, 0x6d, 0x61, 0x69,
	0x6c, 0x18, 0x06, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x65, 0x6d, 0x61, 0x69, 0x6c, 0x12, 0x23,
	0x0a, 0x0d, 0x62, 0x69, 0x6c, 0x6c, 0x69, 0x6e, 0x67, 0x5f, 0x65, 0x6d, 0x61, 0x69, 0x6c, 0x18,
	0x07, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0c, 0x62, 0x69, 0x6c, 0x6c, 0x69, 0x6e, 0x67, 0x45, 0x6d,
	0x61, 0x69, 0x6c, 0x12, 0x47, 0x0a, 0x0f, 0x62, 0x69, 0x6c, 0x6c, 0x69, 0x6e, 0x67, 0x5f, 0x61,
	0x64, 0x64, 0x72, 0x65, 0x73, 0x73, 0x18, 0x08, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1e, 0x2e, 0x76,
	0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x76, 0x69, 0x73, 0x69, 0x74, 0x2e, 0x50,
	0x6f, 0x73, 0x74, 0x61, 0x6c, 0x41, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73, 0x52, 0x0e, 0x62, 0x69,
	0x6c, 0x6c, 0x69, 0x6e, 0x67, 0x41, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73, 0x12, 0x18, 0x0a, 0x07,
	0x72, 0x65, 0x6d, 0x61, 0x72, 0x6b, 0x73, 0x18, 0x09, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x72,
	0x65, 0x6d, 0x61, 0x72, 0x6b, 0x73, 0x12, 0x29, 0x0a, 0x10, 0x76, 0x69, 0x73, 0x5f, 0x6f, 0x72,
	0x67, 0x61, 0x6e, 0x69, 0x7a, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x0a, 0x20, 0x03, 0x28, 0x09,
	0x52, 0x0f, 0x76, 0x69, 0x73, 0x4f, 0x72, 0x67, 0x61, 0x6e, 0x69, 0x7a, 0x61, 0x74, 0x69, 0x6f,
	0x6e, 0x12, 0x34, 0x0a, 0x05, 0x62, 0x72, 0x61, 0x6e, 0x64, 0x18, 0x0b, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x1e, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x76, 0x69, 0x73,
	0x69, 0x74, 0x2e, 0x43, 0x6f, 0x6e, 0x74, 0x61, 0x63, 0x74, 0x2e, 0x42, 0x72, 0x61, 0x6e, 0x64,
	0x52, 0x05, 0x62, 0x72, 0x61, 0x6e, 0x64, 0x22, 0x2a, 0x0a, 0x04, 0x54, 0x79, 0x70, 0x65, 0x12,
	0x0b, 0x0a, 0x07, 0x43, 0x4f, 0x4d, 0x50, 0x41, 0x4e, 0x59, 0x10, 0x00, 0x12, 0x09, 0x0a, 0x05,
	0x42, 0x52, 0x41, 0x4e, 0x44, 0x10, 0x01, 0x12, 0x0a, 0x0a, 0x06, 0x50, 0x45, 0x52, 0x53, 0x4f,
	0x4e, 0x10, 0x02, 0x42, 0x06, 0x0a, 0x04, 0x64, 0x61, 0x74, 0x61, 0x22, 0x6e, 0x0a, 0x14, 0x43,
	0x6f, 0x6d, 0x70, 0x61, 0x6e, 0x79, 0x42, 0x72, 0x61, 0x6e, 0x64, 0x52, 0x65, 0x6c, 0x61, 0x74,
	0x69, 0x6f, 0x6e, 0x12, 0x1d, 0x0a, 0x0a, 0x63, 0x6f, 0x6d, 0x70, 0x61, 0x6e, 0x79, 0x5f, 0x69,
	0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x63, 0x6f, 0x6d, 0x70, 0x61, 0x6e, 0x79,
	0x49, 0x64, 0x12, 0x19, 0x0a, 0x08, 0x62, 0x72, 0x61, 0x6e, 0x64, 0x5f, 0x69, 0x64, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x62, 0x72, 0x61, 0x6e, 0x64, 0x49, 0x64, 0x12, 0x1c, 0x0a,
	0x09, 0x63, 0x6f, 0x6e, 0x66, 0x69, 0x72, 0x6d, 0x65, 0x64, 0x18, 0x03, 0x20, 0x01, 0x28, 0x08,
	0x52, 0x09, 0x63, 0x6f, 0x6e, 0x66, 0x69, 0x72, 0x6d, 0x65, 0x64, 0x22, 0xdd, 0x01, 0x0a, 0x0d,
	0x50, 0x6f, 0x73, 0x74, 0x61, 0x6c, 0x41, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73, 0x12, 0x23, 0x0a,
	0x0d, 0x61, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73, 0x5f, 0x6c, 0x69, 0x6e, 0x65, 0x73, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x0c, 0x61, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73, 0x4c, 0x69, 0x6e,
	0x65, 0x73, 0x12, 0x1a, 0x0a, 0x08, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x69, 0x74, 0x79, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x69, 0x74, 0x79, 0x12, 0x1f,
	0x0a, 0x0b, 0x70, 0x6f, 0x73, 0x74, 0x61, 0x6c, 0x5f, 0x63, 0x6f, 0x64, 0x65, 0x18, 0x03, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x0a, 0x70, 0x6f, 0x73, 0x74, 0x61, 0x6c, 0x43, 0x6f, 0x64, 0x65, 0x12,
	0x18, 0x0a, 0x07, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x72, 0x79, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x07, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x72, 0x79, 0x12, 0x29, 0x0a, 0x10, 0x66, 0x6f, 0x72,
	0x6d, 0x61, 0x74, 0x74, 0x65, 0x64, 0x5f, 0x6e, 0x6f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x05, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x0f, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x74, 0x65, 0x64, 0x4e, 0x6f,
	0x6e, 0x61, 0x6d, 0x65, 0x12, 0x25, 0x0a, 0x0e, 0x61, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73, 0x65,
	0x65, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x06, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0d, 0x61, 0x64,
	0x64, 0x72, 0x65, 0x73, 0x73, 0x65, 0x65, 0x4e, 0x61, 0x6d, 0x65, 0x22, 0x2b, 0x0a, 0x05, 0x42,
	0x72, 0x61, 0x6e, 0x64, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x05,
	0x52, 0x02, 0x69, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x02, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x22, 0x72, 0x0a, 0x0b, 0x50, 0x72, 0x65, 0x66,
	0x65, 0x72, 0x65, 0x6e, 0x63, 0x65, 0x73, 0x12, 0x2f, 0x0a, 0x04, 0x75, 0x73, 0x65, 0x72, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1b, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69,
	0x73, 0x2e, 0x76, 0x69, 0x73, 0x69, 0x74, 0x2e, 0x53, 0x75, 0x62, 0x73, 0x63, 0x72, 0x69, 0x62,
	0x65, 0x72, 0x52, 0x04, 0x75, 0x73, 0x65, 0x72, 0x12, 0x1e, 0x0a, 0x0a, 0x63, 0x61, 0x74, 0x65,
	0x67, 0x6f, 0x72, 0x69, 0x65, 0x73, 0x18, 0x02, 0x20, 0x03, 0x28, 0x05, 0x52, 0x0a, 0x63, 0x61,
	0x74, 0x65, 0x67, 0x6f, 0x72, 0x69, 0x65, 0x73, 0x12, 0x12, 0x0a, 0x04, 0x74, 0x61, 0x67, 0x73,
	0x18, 0x03, 0x20, 0x03, 0x28, 0x05, 0x52, 0x04, 0x74, 0x61, 0x67, 0x73, 0x22, 0x2c, 0x0a, 0x06,
	0x4a, 0x6f, 0x62, 0x54, 0x61, 0x67, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x05, 0x52, 0x02, 0x69, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x22, 0x31, 0x0a, 0x0b, 0x4a, 0x6f,
	0x62, 0x43, 0x61, 0x74, 0x65, 0x67, 0x6f, 0x72, 0x79, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x05, 0x52, 0x02, 0x69, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d,
	0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x22, 0x22, 0x0a,
	0x0a, 0x53, 0x75, 0x62, 0x73, 0x63, 0x72, 0x69, 0x62, 0x65, 0x72, 0x12, 0x14, 0x0a, 0x05, 0x65,
	0x6d, 0x61, 0x69, 0x6c, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x65, 0x6d, 0x61, 0x69,
	0x6c, 0x22, 0xc2, 0x02, 0x0a, 0x08, 0x4a, 0x6f, 0x62, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x12, 0x0e,
	0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x05, 0x52, 0x02, 0x69, 0x64, 0x12, 0x20,
	0x0a, 0x0b, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x0b, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e,
	0x12, 0x1a, 0x0a, 0x08, 0x63, 0x61, 0x74, 0x65, 0x67, 0x6f, 0x72, 0x79, 0x18, 0x03, 0x20, 0x01,
	0x28, 0x05, 0x52, 0x08, 0x63, 0x61, 0x74, 0x65, 0x67, 0x6f, 0x72, 0x79, 0x12, 0x12, 0x0a, 0x04,
	0x74, 0x61, 0x67, 0x73, 0x18, 0x04, 0x20, 0x03, 0x28, 0x05, 0x52, 0x04, 0x74, 0x61, 0x67, 0x73,
	0x12, 0x14, 0x0a, 0x05, 0x62, 0x72, 0x61, 0x6e, 0x64, 0x18, 0x05, 0x20, 0x01, 0x28, 0x05, 0x52,
	0x05, 0x62, 0x72, 0x61, 0x6e, 0x64, 0x12, 0x22, 0x0a, 0x0c, 0x63, 0x6f, 0x6d, 0x6d, 0x65, 0x6e,
	0x63, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x18, 0x06, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0c, 0x63, 0x6f,
	0x6d, 0x6d, 0x65, 0x6e, 0x63, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x12, 0x18, 0x0a, 0x07, 0x64, 0x65,
	0x74, 0x61, 0x69, 0x6c, 0x73, 0x18, 0x07, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x64, 0x65, 0x74,
	0x61, 0x69, 0x6c, 0x73, 0x12, 0x22, 0x0a, 0x0d, 0x70, 0x6c, 0x61, 0x63, 0x65, 0x5f, 0x6f, 0x66,
	0x5f, 0x77, 0x6f, 0x72, 0x6b, 0x18, 0x08, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x70, 0x6c, 0x61,
	0x63, 0x65, 0x4f, 0x66, 0x57, 0x6f, 0x72, 0x6b, 0x12, 0x10, 0x0a, 0x03, 0x75, 0x72, 0x6c, 0x18,
	0x09, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x75, 0x72, 0x6c, 0x12, 0x21, 0x0a, 0x0c, 0x63, 0x6f,
	0x6e, 0x74, 0x61, 0x63, 0x74, 0x5f, 0x64, 0x61, 0x74, 0x61, 0x18, 0x0a, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x0b, 0x63, 0x6f, 0x6e, 0x74, 0x61, 0x63, 0x74, 0x44, 0x61, 0x74, 0x61, 0x12, 0x27, 0x0a,
	0x0f, 0x65, 0x78, 0x70, 0x69, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x64, 0x61, 0x74, 0x65,
	0x18, 0x0b, 0x20, 0x01, 0x28, 0x03, 0x52, 0x0e, 0x65, 0x78, 0x70, 0x69, 0x72, 0x61, 0x74, 0x69,
	0x6f, 0x6e, 0x44, 0x61, 0x74, 0x65, 0x22, 0x06, 0x0a, 0x04, 0x56, 0x6f, 0x69, 0x64, 0x32, 0x89,
	0x05, 0x0a, 0x05, 0x56, 0x69, 0x73, 0x69, 0x74, 0x12, 0x3f, 0x0a, 0x09, 0x53, 0x75, 0x62, 0x73,
	0x63, 0x72, 0x69, 0x62, 0x65, 0x12, 0x1b, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69,
	0x73, 0x2e, 0x76, 0x69, 0x73, 0x69, 0x74, 0x2e, 0x53, 0x75, 0x62, 0x73, 0x63, 0x72, 0x69, 0x62,
	0x65, 0x72, 0x1a, 0x15, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x76,
	0x69, 0x73, 0x69, 0x74, 0x2e, 0x56, 0x6f, 0x69, 0x64, 0x12, 0x41, 0x0a, 0x0b, 0x55, 0x6e, 0x73,
	0x75, 0x62, 0x73, 0x63, 0x72, 0x69, 0x62, 0x65, 0x12, 0x1b, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68,
	0x2e, 0x76, 0x69, 0x73, 0x2e, 0x76, 0x69, 0x73, 0x69, 0x74, 0x2e, 0x53, 0x75, 0x62, 0x73, 0x63,
	0x72, 0x69, 0x62, 0x65, 0x72, 0x1a, 0x15, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69,
	0x73, 0x2e, 0x76, 0x69, 0x73, 0x69, 0x74, 0x2e, 0x56, 0x6f, 0x69, 0x64, 0x12, 0x4b, 0x0a, 0x0e,
	0x47, 0x65, 0x74, 0x50, 0x72, 0x65, 0x66, 0x65, 0x72, 0x65, 0x6e, 0x63, 0x65, 0x73, 0x12, 0x1b,
	0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x76, 0x69, 0x73, 0x69, 0x74,
	0x2e, 0x53, 0x75, 0x62, 0x73, 0x63, 0x72, 0x69, 0x62, 0x65, 0x72, 0x1a, 0x1c, 0x2e, 0x76, 0x73,
	0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x76, 0x69, 0x73, 0x69, 0x74, 0x2e, 0x50, 0x72,
	0x65, 0x66, 0x65, 0x72, 0x65, 0x6e, 0x63, 0x65, 0x73, 0x12, 0x45, 0x0a, 0x0e, 0x53, 0x65, 0x74,
	0x50, 0x72, 0x65, 0x66, 0x65, 0x72, 0x65, 0x6e, 0x63, 0x65, 0x73, 0x12, 0x1c, 0x2e, 0x76, 0x73,
	0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x76, 0x69, 0x73, 0x69, 0x74, 0x2e, 0x50, 0x72,
	0x65, 0x66, 0x65, 0x72, 0x65, 0x6e, 0x63, 0x65, 0x73, 0x1a, 0x15, 0x2e, 0x76, 0x73, 0x65, 0x74,
	0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x76, 0x69, 0x73, 0x69, 0x74, 0x2e, 0x56, 0x6f, 0x69, 0x64,
	0x12, 0x3e, 0x0a, 0x0a, 0x47, 0x65, 0x74, 0x4a, 0x6f, 0x62, 0x54, 0x61, 0x67, 0x73, 0x12, 0x15,
	0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x76, 0x69, 0x73, 0x69, 0x74,
	0x2e, 0x56, 0x6f, 0x69, 0x64, 0x1a, 0x17, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69,
	0x73, 0x2e, 0x76, 0x69, 0x73, 0x69, 0x74, 0x2e, 0x4a, 0x6f, 0x62, 0x54, 0x61, 0x67, 0x30, 0x01,
	0x12, 0x49, 0x0a, 0x10, 0x47, 0x65, 0x74, 0x4a, 0x6f, 0x62, 0x43, 0x61, 0x74, 0x65, 0x67, 0x6f,
	0x72, 0x69, 0x65, 0x73, 0x12, 0x15, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73,
	0x2e, 0x76, 0x69, 0x73, 0x69, 0x74, 0x2e, 0x56, 0x6f, 0x69, 0x64, 0x1a, 0x1c, 0x2e, 0x76, 0x73,
	0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x76, 0x69, 0x73, 0x69, 0x74, 0x2e, 0x4a, 0x6f,
	0x62, 0x43, 0x61, 0x74, 0x65, 0x67, 0x6f, 0x72, 0x79, 0x30, 0x01, 0x12, 0x3c, 0x0a, 0x09, 0x47,
	0x65, 0x74, 0x42, 0x72, 0x61, 0x6e, 0x64, 0x73, 0x12, 0x15, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68,
	0x2e, 0x76, 0x69, 0x73, 0x2e, 0x76, 0x69, 0x73, 0x69, 0x74, 0x2e, 0x56, 0x6f, 0x69, 0x64, 0x1a,
	0x16, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x76, 0x69, 0x73, 0x69,
	0x74, 0x2e, 0x42, 0x72, 0x61, 0x6e, 0x64, 0x30, 0x01, 0x12, 0x42, 0x0a, 0x0c, 0x47, 0x65, 0x74,
	0x4a, 0x6f, 0x62, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x73, 0x12, 0x15, 0x2e, 0x76, 0x73, 0x65, 0x74,
	0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x76, 0x69, 0x73, 0x69, 0x74, 0x2e, 0x56, 0x6f, 0x69, 0x64,
	0x1a, 0x19, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x76, 0x69, 0x73,
	0x69, 0x74, 0x2e, 0x4a, 0x6f, 0x62, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x30, 0x01, 0x12, 0x5b, 0x0a,
	0x0c, 0x4c, 0x69, 0x73, 0x74, 0x43, 0x6f, 0x6e, 0x74, 0x61, 0x63, 0x74, 0x73, 0x12, 0x24, 0x2e,
	0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x76, 0x69, 0x73, 0x69, 0x74, 0x2e,
	0x4c, 0x69, 0x73, 0x74, 0x43, 0x6f, 0x6e, 0x74, 0x61, 0x63, 0x74, 0x73, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x1a, 0x25, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e,
	0x76, 0x69, 0x73, 0x69, 0x74, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x43, 0x6f, 0x6e, 0x74, 0x61, 0x63,
	0x74, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x42, 0x5e, 0x0a, 0x12, 0x63, 0x68,
	0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x76, 0x69, 0x73, 0x69, 0x74,
	0x5a, 0x48, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x65, 0x74, 0x68, 0x7a, 0x2e, 0x63, 0x68,
	0x2f, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2f, 0x30, 0x34, 0x30, 0x33, 0x2d, 0x69, 0x73, 0x67, 0x2f,
	0x6c, 0x69, 0x62, 0x72, 0x61, 0x72, 0x69, 0x65, 0x73, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73,
	0x74, 0x75, 0x62, 0x2d, 0x67, 0x6f, 0x6c, 0x61, 0x6e, 0x67, 0x2f, 0x76, 0x73, 0x65, 0x74, 0x68,
	0x2f, 0x76, 0x69, 0x73, 0x2f, 0x76, 0x69, 0x73, 0x69, 0x74, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x33,
}

var (
	file_vseth_vis_visit_visit_proto_rawDescOnce sync.Once
	file_vseth_vis_visit_visit_proto_rawDescData = file_vseth_vis_visit_visit_proto_rawDesc
)

func file_vseth_vis_visit_visit_proto_rawDescGZIP() []byte {
	file_vseth_vis_visit_visit_proto_rawDescOnce.Do(func() {
		file_vseth_vis_visit_visit_proto_rawDescData = protoimpl.X.CompressGZIP(file_vseth_vis_visit_visit_proto_rawDescData)
	})
	return file_vseth_vis_visit_visit_proto_rawDescData
}

var file_vseth_vis_visit_visit_proto_enumTypes = make([]protoimpl.EnumInfo, 1)
var file_vseth_vis_visit_visit_proto_msgTypes = make([]protoimpl.MessageInfo, 15)
var file_vseth_vis_visit_visit_proto_goTypes = []interface{}{
	(Contact_Type)(0),            // 0: vseth.vis.visit.Contact.Type
	(*ListContactsRequest)(nil),  // 1: vseth.vis.visit.ListContactsRequest
	(*ListContactsResponse)(nil), // 2: vseth.vis.visit.ListContactsResponse
	(*Contact)(nil),              // 3: vseth.vis.visit.Contact
	(*CompanyBrandRelation)(nil), // 4: vseth.vis.visit.CompanyBrandRelation
	(*PostalAddress)(nil),        // 5: vseth.vis.visit.PostalAddress
	(*Brand)(nil),                // 6: vseth.vis.visit.Brand
	(*Preferences)(nil),          // 7: vseth.vis.visit.Preferences
	(*JobTag)(nil),               // 8: vseth.vis.visit.JobTag
	(*JobCategory)(nil),          // 9: vseth.vis.visit.JobCategory
	(*Subscriber)(nil),           // 10: vseth.vis.visit.Subscriber
	(*JobOffer)(nil),             // 11: vseth.vis.visit.JobOffer
	(*Void)(nil),                 // 12: vseth.vis.visit.Void
	(*Contact_Company)(nil),      // 13: vseth.vis.visit.Contact.Company
	(*Contact_Brand)(nil),        // 14: vseth.vis.visit.Contact.Brand
	(*Contact_Person)(nil),       // 15: vseth.vis.visit.Contact.Person
}
var file_vseth_vis_visit_visit_proto_depIdxs = []int32{
	0,  // 0: vseth.vis.visit.ListContactsRequest.types:type_name -> vseth.vis.visit.Contact.Type
	3,  // 1: vseth.vis.visit.ListContactsResponse.contacts:type_name -> vseth.vis.visit.Contact
	13, // 2: vseth.vis.visit.Contact.company_data:type_name -> vseth.vis.visit.Contact.Company
	14, // 3: vseth.vis.visit.Contact.brand_data:type_name -> vseth.vis.visit.Contact.Brand
	15, // 4: vseth.vis.visit.Contact.person_data:type_name -> vseth.vis.visit.Contact.Person
	10, // 5: vseth.vis.visit.Preferences.user:type_name -> vseth.vis.visit.Subscriber
	4,  // 6: vseth.vis.visit.Contact.Company.brands:type_name -> vseth.vis.visit.CompanyBrandRelation
	4,  // 7: vseth.vis.visit.Contact.Brand.companies:type_name -> vseth.vis.visit.CompanyBrandRelation
	5,  // 8: vseth.vis.visit.Contact.Brand.billing_address:type_name -> vseth.vis.visit.PostalAddress
	5,  // 9: vseth.vis.visit.Contact.Person.billing_address:type_name -> vseth.vis.visit.PostalAddress
	14, // 10: vseth.vis.visit.Contact.Person.brand:type_name -> vseth.vis.visit.Contact.Brand
	10, // 11: vseth.vis.visit.Visit.Subscribe:input_type -> vseth.vis.visit.Subscriber
	10, // 12: vseth.vis.visit.Visit.Unsubscribe:input_type -> vseth.vis.visit.Subscriber
	10, // 13: vseth.vis.visit.Visit.GetPreferences:input_type -> vseth.vis.visit.Subscriber
	7,  // 14: vseth.vis.visit.Visit.SetPreferences:input_type -> vseth.vis.visit.Preferences
	12, // 15: vseth.vis.visit.Visit.GetJobTags:input_type -> vseth.vis.visit.Void
	12, // 16: vseth.vis.visit.Visit.GetJobCategories:input_type -> vseth.vis.visit.Void
	12, // 17: vseth.vis.visit.Visit.GetBrands:input_type -> vseth.vis.visit.Void
	12, // 18: vseth.vis.visit.Visit.GetJobOffers:input_type -> vseth.vis.visit.Void
	1,  // 19: vseth.vis.visit.Visit.ListContacts:input_type -> vseth.vis.visit.ListContactsRequest
	12, // 20: vseth.vis.visit.Visit.Subscribe:output_type -> vseth.vis.visit.Void
	12, // 21: vseth.vis.visit.Visit.Unsubscribe:output_type -> vseth.vis.visit.Void
	7,  // 22: vseth.vis.visit.Visit.GetPreferences:output_type -> vseth.vis.visit.Preferences
	12, // 23: vseth.vis.visit.Visit.SetPreferences:output_type -> vseth.vis.visit.Void
	8,  // 24: vseth.vis.visit.Visit.GetJobTags:output_type -> vseth.vis.visit.JobTag
	9,  // 25: vseth.vis.visit.Visit.GetJobCategories:output_type -> vseth.vis.visit.JobCategory
	6,  // 26: vseth.vis.visit.Visit.GetBrands:output_type -> vseth.vis.visit.Brand
	11, // 27: vseth.vis.visit.Visit.GetJobOffers:output_type -> vseth.vis.visit.JobOffer
	2,  // 28: vseth.vis.visit.Visit.ListContacts:output_type -> vseth.vis.visit.ListContactsResponse
	20, // [20:29] is the sub-list for method output_type
	11, // [11:20] is the sub-list for method input_type
	11, // [11:11] is the sub-list for extension type_name
	11, // [11:11] is the sub-list for extension extendee
	0,  // [0:11] is the sub-list for field type_name
}

func init() { file_vseth_vis_visit_visit_proto_init() }
func file_vseth_vis_visit_visit_proto_init() {
	if File_vseth_vis_visit_visit_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_vseth_vis_visit_visit_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListContactsRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_visit_visit_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListContactsResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_visit_visit_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Contact); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_visit_visit_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CompanyBrandRelation); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_visit_visit_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*PostalAddress); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_visit_visit_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Brand); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_visit_visit_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Preferences); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_visit_visit_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*JobTag); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_visit_visit_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*JobCategory); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_visit_visit_proto_msgTypes[9].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Subscriber); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_visit_visit_proto_msgTypes[10].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*JobOffer); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_visit_visit_proto_msgTypes[11].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Void); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_visit_visit_proto_msgTypes[12].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Contact_Company); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_visit_visit_proto_msgTypes[13].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Contact_Brand); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_visit_visit_proto_msgTypes[14].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Contact_Person); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	file_vseth_vis_visit_visit_proto_msgTypes[2].OneofWrappers = []interface{}{
		(*Contact_CompanyData)(nil),
		(*Contact_BrandData)(nil),
		(*Contact_PersonData)(nil),
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_vseth_vis_visit_visit_proto_rawDesc,
			NumEnums:      1,
			NumMessages:   15,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_vseth_vis_visit_visit_proto_goTypes,
		DependencyIndexes: file_vseth_vis_visit_visit_proto_depIdxs,
		EnumInfos:         file_vseth_vis_visit_visit_proto_enumTypes,
		MessageInfos:      file_vseth_vis_visit_visit_proto_msgTypes,
	}.Build()
	File_vseth_vis_visit_visit_proto = out.File
	file_vseth_vis_visit_visit_proto_rawDesc = nil
	file_vseth_vis_visit_visit_proto_goTypes = nil
	file_vseth_vis_visit_visit_proto_depIdxs = nil
}
